On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteThe ID of the credit note to void
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api-m.sandbox.paypal.com/v1/commerce/billing/credit-notes/string/void"{
"id": "cn_01H2XT1G7N8E2JHJKBVPDS0TQD",
"sequential_id": 3,
"billing_entity_code": "lex_corp",
"number": "CN-2023-0001",
"invoice_id": "inv_01H2XT1G7N8E2JHJKBVPDS0TQD",
"invoice_number": "INV-2023-001",
"issuing_date": "2023-06-01",
"credit_status": "VOIDED",
"refund_status": "SUCCEEDED",
"reason": "ORDER_CANCELLATION",
"description": "Refund for cancelled subscription",
"total_amount": {
"value": 50,
"currency_code": "USD"
},
"credit_amount": {
"value": 0,
"currency_code": "USD"
},
"refund_amount": {
"value": 0,
"currency_code": "USD"
},
"balance_amount": {
"value": 0,
"currency_code": "USD"
},
"taxes_amount": {
"value": 0,
"currency_code": "USD"
},
"sub_total_excluding_taxes_amount": {
"value": 0,
"currency_code": "USD"
},
"taxes_rate": 0.2,
"created_at": "2023-05-10T14:32:18Z",
"updated_at": "2023-06-15T10:45:22Z"
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"debug_id": "dc99e3955cdd8",
"details": [
{
"field": "/email",
"value": "abc",
"location": "body",
"issue": "INVALID_PARAMETER_VALUE",
"description": "The value of a field does not conform to the expected format."
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "UNPROCESSABLE_ENTITY",
"message": "The requested action could not be performed, semantically incorrect, or failed business validation.",
"debug_id": "90957fca61718",
"details": [
{
"field": "/email",
"value": "sdfwdj@sdfs.com",
"location": "body",
"issue": "UNSUPPORTED_EMAIL",
"description": "The email provided is not supported."
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}